WhatsApp API Platform
Webhooks

List Delivery Attempts

GET
/api/v1/waba/webhooks/{endpointId}/attempts

Recent delivery attempts against this endpoint, for debugging failures.

Authorization

ApiKeyAuth
X-API-Key<token>

API key from your dashboard (Settings > API Keys)

In: header

Path Parameters

endpointId*string

The webhook endpoint's id.

Query Parameters

waba_id*string

The WhatsApp number (WABA) these webhooks belong to.

limit?integer

Page size.

Rangevalue <= 100
iterator?string

Cursor returned by a previous page.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/waba/webhooks/string/attempts?waba_id=string"
{
  "success": true,
  "data": {
    "data": [
      {
        "id": "string",
        "message_id": "string",
        "endpoint_id": "string",
        "url": "string",
        "response_status_code": 0,
        "response_duration_ms": 0,
        "response": "string",
        "status": "Success",
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "done": true,
    "iterator": "string"
  }
}
{
  "success": false,
  "message": "to field is required"
}
{
  "success": false,
  "message": "user not authenticated"
}
{
  "success": false,
  "message": "forbidden"
}
{
  "success": false,
  "message": "webhook endpoint not found"
}
{
  "success": true,
  "message": "string"
}